Vla-adddimaligned

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-adddimaligned vla-object ExtLine1Point ExtLine2Point TextPosition)


機能
平行寸法オブジェクトを作成する。


引数
  • vla-object … VLAオブジェクト(Block、ModelSpace、PaperSpace)
  • ExtLine1Point … 寸法補助線の 1 番目の端点を指定する 3D WCS 座標。
  • ExtLine2Point … 寸法補助線の 2 番目の端点を指定する 3D WCS 座標。
  • TextPosition … 寸法値の位置を指定する 3D WCS 座標。


戻り値
新しく作成される平行寸法の VLA オブジェクト


サンプル
(vl-load-com)
(defun c:Example_AddDimAligned()
    ;; 平行寸法をモデルに作成するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 寸法の定義
    (setq point1 (vlax-3d-point 5 5 0)
          point2 (vlax-3d-point 10 5 0)
          location (vlax-3d-point 5 7 0))
    
    ;; 平行寸法をモデルに作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location))
    (vla-ZoomAll acadObj)
)


関連事項